Skip to main content

Type Alias: GatewayInferenceLogObject

type GatewayInferenceLogObject = {
[key: string]: unknown;
_id: string | null;
request: GatewayInferenceLogRequest;
response: GatewayInferenceLogResponse;
organisation_id: string | null;
created_at: string | null;
metrics?: GatewayInferenceAnalyticsMetrics;
finalUntransformedRequest?: GatewayInferenceRequestResponseObject;
originalResponse?: GatewayInferenceRequestResponseObject;
transformedRequest?: GatewayInferenceRequestResponseObject;
};

Defined in: src/models/ai-gateway-inference.ts:7840

Portkey LogObject; additive response fields are preserved.

Example​

`GatewayInferenceLogObjectSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

_id​

_id: string | null;

Defined in: src/models/ai-gateway-inference.ts:7841


request​

request: GatewayInferenceLogRequest;

Defined in: src/models/ai-gateway-inference.ts:7842


response​

response: GatewayInferenceLogResponse;

Defined in: src/models/ai-gateway-inference.ts:7843


organisation_id​

organisation_id: string | null;

Defined in: src/models/ai-gateway-inference.ts:7844


created_at​

created_at: string | null;

Defined in: src/models/ai-gateway-inference.ts:7845


metrics?​

optional metrics?: GatewayInferenceAnalyticsMetrics;

Defined in: src/models/ai-gateway-inference.ts:7846


finalUntransformedRequest?​

optional finalUntransformedRequest?: GatewayInferenceRequestResponseObject;

Defined in: src/models/ai-gateway-inference.ts:7847


originalResponse?​

optional originalResponse?: GatewayInferenceRequestResponseObject;

Defined in: src/models/ai-gateway-inference.ts:7848


transformedRequest?​

optional transformedRequest?: GatewayInferenceRequestResponseObject;

Defined in: src/models/ai-gateway-inference.ts:7849